require 'spec_helper'

describe 'a CA master' do
  let(:manifest) do
    'spec/fixtures/manifests/ca_master.pp'
  end

  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'master.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir' => '/tmp/file',
      'processorcount'    => '1',
    }
  end

  let(:facts) { @facter_facts }

  it { should satisfy_all_relationships }

  context "when compiled" do
    it { should contain_pe_concat__fragment('puppetserver certificate-authority-service') }
    it { should contain_file('/etc/puppetlabs/puppetserver/conf.d/ca.conf').with_content(/certificate-status/) }
  end

end
